/// <reference types="node" />
import { VirgilPrivateKey } from '../VirgilPrivateKey';
import { VirgilStreamCipherBase } from './VirgilStreamCipherBase';
/**
 * Class responsible for decryption of streams of data.
 * Follows the same algorithm for decryption as the
 * {@link VirgilCrypto.decrypt} method.
 */
export declare class VirgilStreamDecipher extends VirgilStreamCipherBase {
    /**
     * Initializes a new instance of `VirgilStreamDecipher`.
     * `VirgilStreamDecipher` objects are not meant to be created with the `new`
     * operator, use {@link VirgilCrypto.createStreamDecipher} to create an
     * instance.
     *
     * @internal
     *
     * @param {VirgilPrivateKey} - The {@link VirgilPrivateKey} object to be
     * used to decrypt the data.
     */
    constructor(privateKey: VirgilPrivateKey);
    /**
     * Get signature from content_info if it was added on encryption phase.
     */
    getSignature(): Buffer | null;
}
